clear all
close all
clc

f = inline('x.^4 - x.^2 + 2*x - 1');
% Generar grafica pàra ver intersecciones
x = -2:.01:2;
plot(x,f(x),'m',x,zeros(size(x)),'b')
% obtener los ceros
x1 = fzero(f,-1.5);
x2 = fzero(f,0.5);
% calcular el area, Se utiliza abs para evitar que el area sea negativa
A = abs(quad(f,x1,x2))